@echo off

rem
rem  glBSP Batch file for Win32 + Mingw (Text Version)
rem

echo Setting variables...

set MINGW=d:\mingw

set CC=gcc
set CXX=g++
set CFLAGS=-Wall -O2 -DWIN32 -DGLBSP_TEXT
set AR=ar -ruv glbsp.a
set LIBS=glbsp.a
set LDFLAGS=-Wl,--subsystem,console -L. -L%MINGW%\lib
set INCLUDE=-I. -I..

echo Compiling GLBSP...

%CC% %CFLAGS% %INCLUDE% -c display.c -o display.o

%CC% %CFLAGS% %INCLUDE% -c ../blockmap.c -o ../blockmap.o
%CC% %CFLAGS% %INCLUDE% -c ../glbsp.c -o ../glbsp.o
%CC% %CFLAGS% %INCLUDE% -c ../level.c -o ../level.o
%CC% %CFLAGS% %INCLUDE% -c ../node.c -o ../node.o
%CC% %CFLAGS% %INCLUDE% -c ../reject.c -o ../reject.o
%CC% %CFLAGS% %INCLUDE% -c ../seg.c -o ../seg.o
%CC% %CFLAGS% %INCLUDE% -c ../system.c -o ../system.o
%CC% %CFLAGS% %INCLUDE% -c ../util.c -o ../util.o
%CC% %CFLAGS% %INCLUDE% -c ../wad.c -o ../wad.o

echo Building archive...

%AR% display.o

%AR% ..\blockmap.o
%AR% ..\glbsp.o
%AR% ..\level.o
%AR% ..\node.o
%AR% ..\reject.o
%AR% ..\seg.o
%AR% ..\system.o
%AR% ..\util.o
%AR% ..\wad.o

ranlib glbsp.a

echo Making glbsp executable...
%CC% %CFLAGS% %INCLUDE% main.c %LDFLAGS% %LIBS% -o glbsp.exe

echo ---- ALL DONE ----
