@echo off

rem
rem  FLTK Batch file for Win32 + Mingw
rem

echo Copying config file...
copy ..\makefiles\config.mingw ..\config.h

echo Setting variables...

set CC=gcc
set CXX=g++
set CFLAGS=-I.. -Wall -O2 -DWIN32
set AR=ar -ruv ..\lib\libfltk.a

echo Compiling C++ source of FLTK...

%CXX% %CFLAGS% -c Fl.cxx
%CXX% %CFLAGS% -c Fl_Adjuster.cxx
%CXX% %CFLAGS% -c Fl_Bitmap.cxx
%CXX% %CFLAGS% -c Fl_Browser.cxx
%CXX% %CFLAGS% -c Fl_Browser_.cxx
%CXX% %CFLAGS% -c Fl_Browser_load.cxx
%CXX% %CFLAGS% -c Fl_Box.cxx
%CXX% %CFLAGS% -c Fl_Button.cxx
%CXX% %CFLAGS% -c Fl_Chart.cxx
%CXX% %CFLAGS% -c Fl_Check_Button.cxx
%CXX% %CFLAGS% -c Fl_Choice.cxx
%CXX% %CFLAGS% -c Fl_Clock.cxx
%CXX% %CFLAGS% -c Fl_Color_Chooser.cxx
%CXX% %CFLAGS% -c Fl_Counter.cxx
%CXX% %CFLAGS% -c Fl_Dial.cxx
%CXX% %CFLAGS% -c Fl_Double_Window.cxx
%CXX% %CFLAGS% -c Fl_Gl_Choice.cxx
%CXX% %CFLAGS% -c Fl_Gl_Overlay.cxx
%CXX% %CFLAGS% -c Fl_Gl_Window.cxx
%CXX% %CFLAGS% -c Fl_Group.cxx
%CXX% %CFLAGS% -c Fl_Image.cxx
%CXX% %CFLAGS% -c Fl_Input.cxx
%CXX% %CFLAGS% -c Fl_Input_.cxx
%CXX% %CFLAGS% -c Fl_Light_Button.cxx
%CXX% %CFLAGS% -c Fl_Menu.cxx
%CXX% %CFLAGS% -c Fl_Menu_.cxx
%CXX% %CFLAGS% -c Fl_Menu_Bar.cxx
%CXX% %CFLAGS% -c Fl_Menu_Button.cxx
%CXX% %CFLAGS% -c Fl_Menu_Window.cxx
%CXX% %CFLAGS% -c Fl_Menu_add.cxx
%CXX% %CFLAGS% -c Fl_Menu_global.cxx
%CXX% %CFLAGS% -c Fl_Multi_Label.cxx
%CXX% %CFLAGS% -c Fl_Output.cxx
%CXX% %CFLAGS% -c Fl_Overlay_Window.cxx
%CXX% %CFLAGS% -c Fl_Pack.cxx
%CXX% %CFLAGS% -c Fl_Pixmap.cxx
%CXX% %CFLAGS% -c Fl_Positioner.cxx
%CXX% %CFLAGS% -c Fl_Repeat_Button.cxx
%CXX% %CFLAGS% -c Fl_Return_Button.cxx
%CXX% %CFLAGS% -c Fl_Roller.cxx
%CXX% %CFLAGS% -c Fl_Round_Button.cxx
%CXX% %CFLAGS% -c Fl_Scroll.cxx
%CXX% %CFLAGS% -c Fl_Scrollbar.cxx
%CXX% %CFLAGS% -c Fl_Single_Window.cxx
%CXX% %CFLAGS% -c Fl_Slider.cxx
%CXX% %CFLAGS% -c Fl_Tabs.cxx
%CXX% %CFLAGS% -c Fl_Tile.cxx
%CXX% %CFLAGS% -c Fl_Valuator.cxx
%CXX% %CFLAGS% -c Fl_Value_Input.cxx
%CXX% %CFLAGS% -c Fl_Value_Output.cxx
%CXX% %CFLAGS% -c Fl_Value_Slider.cxx
%CXX% %CFLAGS% -c Fl_Widget.cxx
%CXX% %CFLAGS% -c Fl_Window.cxx
%CXX% %CFLAGS% -c Fl_Window_fullscreen.cxx
%CXX% %CFLAGS% -c Fl_Window_hotspot.cxx
%CXX% %CFLAGS% -c Fl_Window_iconize.cxx
%CXX% %CFLAGS% -c Fl_abort.cxx
%CXX% %CFLAGS% -c Fl_add_idle.cxx
%CXX% %CFLAGS% -c Fl_arg.cxx
%CXX% %CFLAGS% -c Fl_compose.cxx
%CXX% %CFLAGS% -c Fl_cutpaste.cxx
%CXX% %CFLAGS% -c Fl_display.cxx
%CXX% %CFLAGS% -c Fl_get_key.cxx
%CXX% %CFLAGS% -c Fl_get_system_colors.cxx
%CXX% %CFLAGS% -c Fl_grab.cxx
%CXX% %CFLAGS% -c Fl_own_colormap.cxx
%CXX% %CFLAGS% -c Fl_visual.cxx
%CXX% %CFLAGS% -c Fl_x.cxx
%CXX% %CFLAGS% -c filename_absolute.cxx
%CXX% %CFLAGS% -c filename_expand.cxx
%CXX% %CFLAGS% -c filename_ext.cxx
%CXX% %CFLAGS% -c filename_isdir.cxx
%CXX% %CFLAGS% -c filename_list.cxx
%CXX% %CFLAGS% -c filename_match.cxx
%CXX% %CFLAGS% -c filename_setext.cxx
%CXX% %CFLAGS% -c fl_arc.cxx
%CXX% %CFLAGS% -c fl_arci.cxx
%CXX% %CFLAGS% -c fl_ask.cxx
%CXX% %CFLAGS% -c fl_boxtype.cxx
%CXX% %CFLAGS% -c fl_color.cxx
%CXX% %CFLAGS% -c fl_cursor.cxx
%CXX% %CFLAGS% -c fl_curve.cxx
%CXX% %CFLAGS% -c fl_diamond_box.cxx
%CXX% %CFLAGS% -c fl_draw.cxx
%CXX% %CFLAGS% -c fl_draw_image.cxx
%CXX% %CFLAGS% -c fl_draw_pixmap.cxx
%CXX% %CFLAGS% -c fl_engraved_label.cxx
%CXX% %CFLAGS% -c fl_file_chooser.cxx
%CXX% %CFLAGS% -c fl_font.cxx
%CXX% %CFLAGS% -c fl_labeltype.cxx
%CXX% %CFLAGS% -c fl_line_style.cxx
%CXX% %CFLAGS% -c fl_oval_box.cxx
%CXX% %CFLAGS% -c fl_overlay.cxx
%CXX% %CFLAGS% -c fl_overlay_visual.cxx
%CXX% %CFLAGS% -c fl_rect.cxx
%CXX% %CFLAGS% -c fl_round_box.cxx
%CXX% %CFLAGS% -c fl_rounded_box.cxx
%CXX% %CFLAGS% -c fl_set_font.cxx
%CXX% %CFLAGS% -c fl_set_fonts.cxx
%CXX% %CFLAGS% -c fl_scroll_area.cxx
%CXX% %CFLAGS% -c fl_shadow_box.cxx
%CXX% %CFLAGS% -c fl_shortcut.cxx
%CXX% %CFLAGS% -c fl_show_colormap.cxx
%CXX% %CFLAGS% -c fl_symbols.cxx
%CXX% %CFLAGS% -c fl_vertex.cxx
%CXX% %CFLAGS% -c forms_compatability.cxx
%CXX% %CFLAGS% -c forms_bitmap.cxx
%CXX% %CFLAGS% -c forms_free.cxx
%CXX% %CFLAGS% -c forms_fselect.cxx
%CXX% %CFLAGS% -c forms_pixmap.cxx
%CXX% %CFLAGS% -c forms_timer.cxx
%CXX% %CFLAGS% -c gl_draw.cxx
%CXX% %CFLAGS% -c gl_start.cxx
%CXX% %CFLAGS% -c glut_compatability.cxx
%CXX% %CFLAGS% -c glut_font.cxx

echo Compiling C source of FLTK...

%CC% %CFLAGS% -c fl_call_main.c
%CC% %CFLAGS% -c scandir.c
%CC% %CFLAGS% -c numericsort.c
%CC% %CFLAGS% -c vsnprintf.c

echo Building libfltk.a Library...

%AR% Fl.o
%AR% Fl_Adjuster.o
%AR% Fl_Bitmap.o
%AR% Fl_Browser.o
%AR% Fl_Browser_.o
%AR% Fl_Browser_load.o
%AR% Fl_Box.o
%AR% Fl_Button.o
%AR% Fl_Chart.o
%AR% Fl_Check_Button.o
%AR% Fl_Choice.o
%AR% Fl_Clock.o
%AR% Fl_Color_Chooser.o
%AR% Fl_Counter.o
%AR% Fl_Dial.o
%AR% Fl_Double_Window.o
%AR% Fl_Gl_Choice.o
%AR% Fl_Gl_Overlay.o
%AR% Fl_Gl_Window.o
%AR% Fl_Group.o
%AR% Fl_Image.o
%AR% Fl_Input.o
%AR% Fl_Input_.o
%AR% Fl_Light_Button.o
%AR% Fl_Menu.o
%AR% Fl_Menu_.o
%AR% Fl_Menu_Bar.o
%AR% Fl_Menu_Button.o
%AR% Fl_Menu_Window.o
%AR% Fl_Menu_add.o
%AR% Fl_Menu_global.o
%AR% Fl_Multi_Label.o
%AR% Fl_Output.o
%AR% Fl_Overlay_Window.o
%AR% Fl_Pack.o
%AR% Fl_Pixmap.o
%AR% Fl_Positioner.o
%AR% Fl_Repeat_Button.o
%AR% Fl_Return_Button.o
%AR% Fl_Roller.o
%AR% Fl_Round_Button.o
%AR% Fl_Scroll.o
%AR% Fl_Scrollbar.o
%AR% Fl_Single_Window.o
%AR% Fl_Slider.o
%AR% Fl_Tabs.o
%AR% Fl_Tile.o
%AR% Fl_Valuator.o
%AR% Fl_Value_Input.o
%AR% Fl_Value_Output.o
%AR% Fl_Value_Slider.o
%AR% Fl_Widget.o
%AR% Fl_Window.o
%AR% Fl_Window_fullscreen.o
%AR% Fl_Window_hotspot.o
%AR% Fl_Window_iconize.o
%AR% Fl_abort.o
%AR% Fl_add_idle.o
%AR% Fl_arg.o
%AR% Fl_compose.o
%AR% Fl_cutpaste.o
%AR% Fl_display.o
%AR% Fl_get_key.o
%AR% Fl_get_system_colors.o
%AR% Fl_grab.o
%AR% Fl_own_colormap.o
%AR% Fl_visual.o
%AR% Fl_x.o
%AR% filename_absolute.o
%AR% filename_expand.o
%AR% filename_ext.o
%AR% filename_isdir.o
%AR% filename_list.o
%AR% filename_match.o
%AR% filename_setext.o
%AR% fl_arc.o
%AR% fl_arci.o
%AR% fl_ask.o
%AR% fl_boxtype.o
%AR% fl_color.o
%AR% fl_cursor.o
%AR% fl_curve.o
%AR% fl_diamond_box.o
%AR% fl_draw.o
%AR% fl_draw_image.o
%AR% fl_draw_pixmap.o
%AR% fl_engraved_label.o
%AR% fl_file_chooser.o
%AR% fl_font.o
%AR% fl_labeltype.o
%AR% fl_line_style.o
%AR% fl_oval_box.o
%AR% fl_overlay.o
%AR% fl_overlay_visual.o
%AR% fl_rect.o
%AR% fl_round_box.o
%AR% fl_rounded_box.o
%AR% fl_set_font.o
%AR% fl_set_fonts.o
%AR% fl_scroll_area.o
%AR% fl_shadow_box.o
%AR% fl_shortcut.o
%AR% fl_show_colormap.o
%AR% fl_symbols.o
%AR% fl_vertex.o
%AR% forms_compatability.o
%AR% forms_bitmap.o
%AR% forms_free.o
%AR% forms_fselect.o
%AR% forms_pixmap.o
%AR% forms_timer.o
%AR% gl_draw.o
%AR% gl_start.o
%AR% glut_compatability.o
%AR% glut_font.o
%AR% fl_call_main.o
%AR% scandir.o
%AR% numericsort.o
%AR% vsnprintf.o

ranlib ..\lib\libfltk.a

echo --- ALL DONE ---
