@echo off

rem
rem  glBSP Batch file for Win32 + Mingw + FLTK
rem

echo Setting variables...

set FLTK=d:\fltk11
set MINGW=d:\mingw

set CC=gcc
set CXX=g++
set CFLAGS=-Wall -O2 -DWIN32 -DGLBSP_GUI
set AR=ar -ruv glbspX.a
set LIBS=glbspX.a glbspX.coff -lfltk -lgdi32 -lwsock32
set LDFLAGS=-Wl,--subsystem,windows -L. -L%MINGW%\lib -L%FLTK%\lib
set INCLUDE=-I%FLTK% -I. -I..

echo Compiling FLTK (C++) stuff...

%CXX% %CFLAGS% %INCLUDE% -c about.cpp -o about.o
%CXX% %CFLAGS% %INCLUDE% -c book.cpp -o book.o
%CXX% %CFLAGS% %INCLUDE% -c booktext.cpp -o booktext.o
%CXX% %CFLAGS% %INCLUDE% -c cookie.cpp -o cookie.o
%CXX% %CFLAGS% %INCLUDE% -c dialog.cpp -o dialog.o
%CXX% %CFLAGS% %INCLUDE% -c files.cpp -o files.o
%CXX% %CFLAGS% %INCLUDE% -c helper.cpp -o helper.o
%CXX% %CFLAGS% %INCLUDE% -c images.cpp -o images.o
%CXX% %CFLAGS% %INCLUDE% -c license.cpp -o license.o
%CXX% %CFLAGS% %INCLUDE% -c menu.cpp -o menu.o
%CXX% %CFLAGS% %INCLUDE% -c options.cpp -o options.o
%CXX% %CFLAGS% %INCLUDE% -c prefs.cpp -o prefs.o
%CXX% %CFLAGS% %INCLUDE% -c progress.cpp -o progress.o
%CXX% %CFLAGS% %INCLUDE% -c textbox.cpp -o textbox.o
%CXX% %CFLAGS% %INCLUDE% -c window.cpp -o window.o

echo Compiling Main GLBSP stuff...

%CC% %CFLAGS% %INCLUDE% -c ../blockmap.c -o ../blockmap.o
%CC% %CFLAGS% %INCLUDE% -c ../glbsp.c -o ../glbsp.o
%CC% %CFLAGS% %INCLUDE% -c ../level.c -o ../level.o
%CC% %CFLAGS% %INCLUDE% -c ../node.c -o ../node.o
%CC% %CFLAGS% %INCLUDE% -c ../reject.c -o ../reject.o
%CC% %CFLAGS% %INCLUDE% -c ../seg.c -o ../seg.o
%CC% %CFLAGS% %INCLUDE% -c ../system.c -o ../system.o
%CC% %CFLAGS% %INCLUDE% -c ../util.c -o ../util.o
%CC% %CFLAGS% %INCLUDE% -c ../wad.c -o ../wad.o

echo Building archive...

%AR% about.o
%AR% book.o
%AR% booktext.o
%AR% cookie.o
%AR% dialog.o
%AR% files.o
%AR% helper.o
%AR% images.o
%AR% license.o
%AR% menu.o
%AR% options.o
%AR% prefs.o
%AR% progress.o
%AR% textbox.o
%AR% window.o

%AR% ..\blockmap.o
%AR% ..\glbsp.o
%AR% ..\level.o
%AR% ..\node.o
%AR% ..\reject.o
%AR% ..\seg.o
%AR% ..\system.o
%AR% ..\util.o
%AR% ..\wad.o

ranlib glbspX.a

echo Compiling Resources...
windres glbspX.rc glbspX.coff

echo Making glbspX executable...
%CXX% %CFLAGS% %INCLUDE% main.cpp %LDFLAGS% %LIBS% -o glbspX.exe

echo ---- ALL DONE ----
